PROGRAM sphere
  IMPLICIT NONE

  DOUBLE PRECISION :: r, volume, surface
  DOUBLE PRECISION, PARAMETER :: pi = 3.14159265358979323846D0

  PRINT *, " Dwse thn aktina"
  READ *, r

  IF (r < 0.0d0) THEN
     PRINT *, "Arnhtikh Timh"
  ELSE
     volume  = 4.0d0/3.0d0 * pi * r**3
     surface = 4.0d0 * pi * r**2

     PRINT *, "o ogkos einai ", volume
     PRINT *, "h epifaneia einai ", surface
  ENDIF

END PROGRAM sphere
